%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-remoting-jmx
Version:       2.0.1
Release:       %mkrel 1
Group:         Development/Java
Summary:       JMX via JBoss Remoting
License:       LGPLv2+
URL:           http://www.jboss.org/
Source0:       https://github.com/jbossas/remoting-jmx/archive/%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires: mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling-river)
BuildRequires: mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires: mvn(org.jboss.remoting:jboss-remoting) >= 3.2.2-1
BuildRequires: mvn(org.jboss.sasl:jboss-sasl)
BuildRequires: mvn(org.jboss.xnio:xnio-api)
BuildRequires: mvn(org.jboss.xnio:xnio-nio)

BuildArch:     noarch

%description
Library for making JMX accessible using Remoting.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n remoting-jmx-%{namedversion}

%build
# Disable temporarily the test suite. Build fails: Timeout(86400)
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README
%license COPYING.txt

%files javadoc -f .mfiles-javadoc
%license COPYING.txt



%changelog
* Thu May 18 2017 neoclust <neoclust> 2.0.1-1.mga6
+ Revision: 1102948
- New version 2.0.1
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 2.0.0-2.mga6
+ Revision: 980443
- refresh BuildRequires list

* Sat Feb 27 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 979954
- First rebuild of the java stack
- sync package jboss-remoting-jmx with fedora (update to 2.0.0.Final)
- disable tests

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-0.3.Beta2.4.mga5
+ Revision: 747834
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.3.Beta2.2.mga4
+ Revision: 541954
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 2.0.0-0.3.Beta2.1.mga4
+ Revision: 496592
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-5.mga3
+ Revision: 355156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Fix buildrequires

* Sun Jun 24 2012 dmorgan <dmorgan> 1.0.2-1.mga3
+ Revision: 263194
- New version 1.0.2

  + gil <gil>
    - imported package jboss-remoting-jmx

